## rock-master-20.01-drivers-iodrivers-base 0.20191216

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(iodrivers_base 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===
find_package(Boost COMPONENTS thread system)
include_directories(${Boost_INCLUDE_DIRS})

find_package(Threads REQUIRED)

rock_library(iodrivers_base
    SOURCES Driver.cpp Bus.cpp Timeout.cpp IOStream.cpp Exceptions.cpp TCPDriver.cpp
    IOListener.cpp TestStream.cpp Forward.cpp
    HEADERS Driver.hpp Bus.hpp Timeout.hpp Status.hpp IOStream.hpp
    Exceptions.hpp IOListener.hpp TCPDriver.hpp TestStream.hpp
    Fixture.hpp FixtureBoostTest.hpp FixtureGTest.hpp Forward.hpp
    LIBS ${Boost_THREAD_LIBRARY} ${Boost_SYSTEM_LIBRARY} ${CMAKE_THREAD_LIBS_INIT}
    DEPS_PKGCONFIG base-types base-lib)

rock_executable(iodrivers_base_cat
    SOURCES MainCat.cpp
    DEPS iodrivers_base)

rock_executable(iodrivers_base_forwarder
    SOURCES MainForwarder.cpp
    DEPS iodrivers_base)

# For backward compatibility only
install(FILES iodrivers_base.hh iodrivers_bus.hh
    DESTINATION include)

=== test/CMakeLists.txt ===
rock_testsuite(test_suite suite.cpp
    test_Driver.cpp test_TestStream.cpp test_Forward.cpp
    DEPS iodrivers_base)

rock_gtest(test_TestStreamGTest
   test_TestStreamGTest.cpp
   HEADERS
   DEPS iodrivers_base)

rock_executable(test_tcp_read test_tcp_read.cpp
    DEPS iodrivers_base
    NOINSTALL)
rock_executable(test_tcp_write test_tcp_write.cpp
    DEPS iodrivers_base
    NOINSTALL)

rock_executable(test_udp_read test_udp_read.cpp
    DEPS iodrivers_base
    NOINSTALL)
rock_executable(test_udp_write test_udp_write.cpp
    DEPS iodrivers_base
    NOINSTALL)

=== debian/changelog ===
rock-master-20.01-drivers-iodrivers-base (0.20191216-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/drivers-iodrivers_base.git
  * branch: refs/heads/master
  * commit: 5c57f85ef6cdde85f0aec66deed27b9d54e290fc
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 13 Feb 2020 02:19:13 +0100

=== debian/control ===
Source: rock-master-20.01-drivers-iodrivers-base
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libboost-dev, libboost-filesystem-dev, libboost-graph-dev, libboost-iostreams-dev, libboost-program-options-dev, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, rock-master-20.01-base-cmake, rock-master-20.01-base-logging, rock-master-20.01-base-types
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-drivers-iodrivers-base
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-base-logging, rock-master-20.01-base-types, cmake, libboost-dev, libboost-graph-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-system-dev
Description: base implementation of driver classes
 This library contains a generic implementation of (i) timeout-based
  non-blocking I/O and (ii) packet-reassembly code. It allows to write a
  driver that will timeout on read and/or write, and to generically do
  packet extraction in the I/O stream.
